TICKIT_TERM_GET_DRIVERNAME(3)

NAME
tickit_term_get_drivername - returns the terminal driver name

SYNOPSIS
    #include <tickit.h>

    const char *tickit_term_get_drivername(TickitTerm *tt);

Link with -ltickit.

DESCRIPTION
tickit_term_get_drivername() returns the string name of the driver for this terminal type. It will be "xterm" for terminal types supported by the xterm driver, or "terminfo" for others which are supported instead by the terminfo driver. The returned value points directly into the buffer allocated by the TickitTerm instance itself; this buffer must not be modified or freed.

RETURN VALUE
tickit_term_get_drivername() returns a string buffer pointer.

SEE ALSO
tickit_term_build(3), tickit_term(7), tickit(7)